#!/bin/bash
# **********************************************************
# change_proxy_client.sh
# permet d'activer/désactiver un cache apt sur les clients linux
# (si le cache est déclaré dans sambaedu.conf)
# 20200517
# **********************************************************
ROUGE="\\033[1;31m"
. /usr/share/sambaedu/includes/config.inc.sh

#apt_proxy=##ipcache##
#apt_proxy=$config_proxy_address

# On rend le script "cretin-resistant"
[ -e /var/sambaedu/clinux ] && echo "Malheureux... Ce script est a executer sur les clients Linux, pas sur le serveur !" && exit 1

# On vire le proxy s'il a été utilisé à l'installation
> /etc/apt/apt.conf

#touch /etc/monproxy
#monprox=$(cat /etc/monproxy)

echo -e "$ROUGE" "Config actuelle : $config_apt_proxy" ; tput sgr0

# On teste si un cache apt est présent dans clients.conf

# Si un proxy est déclaré dans clients.conf :
if [ ! -z "$config_apt_proxy" ] ; then
echo -e "Comment voulez-vous modifier le proxy apt de cette machine ?"
read -p "Choisissez dans cette liste :
1 (1 - AVEC cache apt)
2 (2 - SANS cache apt) : " rep
			case $rep in

				1|cache )
					echo -e "$ROUGE" "Configuration : AVEC cache apt" ; tput sgr0
					set_config clients apt_proxy_state "1"
echo "#Configuration du proxy apt-cache
Acquire::http { Proxy \"$config_apt_proxy\"; };" > /etc/apt/apt.conf.d/99proxy ;;

				2|nocache )
                                echo -e "$ROUGE" "Configuration : SANS cache apt" ; tput sgr0
				    set_config clients apt_proxy_state "0"
echo "#pas de proxy apt-cache" > /etc/apt/apt.conf.d/99proxy ;;

				* ) echo -e "$ROUGE" "Erreur - Relancez le script !" ; tput sgr0 ;;
			esac
else
# Si aucun proxy déclaré dans clients.conf:
echo "Aucun cache apt n'est déclaré sur le se4. Pas de cache apt sur le client."
fi

exit 0
