#!/bin/bash
#
#***********************************************
# dconf_unefois.sh
# Correctif du bug dconf pour les clients gnome, mate et cinnamon
# 20200921
#***********************************************

texte_temoin="bug dconf corrigé"

# Témoin de passage du script sur le client
script_nom="$(basename ${0})"   # nom du script, sans le chemin
nom="${script_nom%.*}"          # et sans l'extension
temoin=/root/temoins/temoin.${nom}

tester_se4()
{
    # pour éviter de lancer le script sur le se4fs
    # On rend le script "crétin-résistant"
    [ -e /var/sambaedu/clinux ] && echo "Malheureux… Ce script est à exécuter sur les clients-Linux, pas sur le serveur !" && exit 1
}

tester_temoin()
{
    # On teste si le temoin est présent ou non
    if [ ! -e "${temoin}" ]
    then
        # pas de témoin : on peut donc continuer
        true
    else
        # le témoin existe : on sort du programme
        exit 0
    fi
}
poser_temoin()
{
    # on pose un témoin d'exécution du programme
    echo "${texte_temoin}" > ${temoin}
}

corriger_dconf()
{
# correction version smb montage home
sed -i 's|vers=1.0|vers=3.0|g' /etc/security/pam_mount.conf.xml

# correction bug dconf
if [ -e /usr/bin/dconf -o -e /usr/lib/dconf ]; then
mkdir -p /etc/dconf/profile
echo "service-db:keyfile/user" > /etc/dconf/profile/user
poser_temoin
fi

# Complément pour gdm3
if [ -e /usr/sbin/gdm3 ]; then
echo "system-db:local" >> /etc/dconf/profile/user
fi
}
#--------------------
# execution
tester_se4
tester_temoin
#corriger_dconf
exit 0

