#!/bin/bash
#
#***********************************************
# nosleep_unefois.sh
#
# 20200908
#***********************************************

texte_temoin="Veille désactivée"    # Mettre ici un texte court

# Témoin de passage du script sur le client
script_nom="$(basename ${0})"   # nom du script, sans le chemin
nom="${script_nom%.*}"          # et sans l'extension
temoin=/root/temoins/temoin.${nom}

tester_se4()
{
    # pour éviter de lancer le script sur le se4fs
    # On rend le script "crétin-résistant"
    [ -e /var/sambaedu/clinux ] && echo "Malheureux… Ce script est à exécuter sur les clients-Linux, pas sur le serveur !" && exit 1
}

tester_temoin()
{
    # On teste si le temoin est présent ou non
    if [ ! -e "${temoin}" ]
    then
        # pas de témoin : on peut donc continuer
        true
    else
        # le témoin existe : on sort du programme
        exit 0
    fi
}

poser_temoin()
{
    # on pose un témoin d'exécution du programme
    echo "${texte_temoin}" > ${temoin}
}

desactiver_veille()
{
    # On masque les service relatifs a la veille
	systemctl mask sleep.target suspend.target hibernate.target hybrid-sleep.target
 	
}

#*****
# programme
tester_se4
tester_temoin
desactiver_veille
poser_temoin
exit 0
# fin du programme


